Subject: [bug#60907] [PATCH 07/25] gnu: go-github-com-google-go-cmp-cmp: Update to 0.5.9.

From: Katherine Cox-Buday <[email-masked]>
Date: Tue, 07 Feb 2023 10:28:06 -0700

"( via Guix-patches" via <[email-masked]> writes:

> * gnu/packages/golang.scm (go-github-com-google-go-cmp-cmp): Update to 0.5.9.
>
>> --- a/gnu/packages/golang.scm
>> +++ b/gnu/packages/golang.scm
>
>> @@ -7024,28 +7024,27 @@ (define-public go-github-com-fatih-color
>
>> +    (description
>> +     "This package is intended to be a more powerful and safer
>> +alternative to @@code{reflect.DeepEqual} for comparing whether two values are
>> +semantically equal.")
>
> This is a full sentence, but it doesn't really read well to me. Also,
> there should only be one ``@'' in ``@code{...}'', and "more powerful
> and safer" is a bit vague :)

I'd only intended this to be a version bump. Maybe I updated the
description based on feedback from `guix style` or `guix lint`.

At any rate, I agree the description is not very helpful, and uses
superlatives, which the manual calls out as an anti-pattern.

>
> What about this?:
>
>   (description
>    "This package provides an alternative to the built-in @code{reflect.DeepEqual}
>   function for checking if two values are semantically equal.  The advantages
>   over the builtin function include:
>
>   @enumerate
>   [etc etc :)]
>   @end enumerate")

I like this much more, although I don't know enough about it to
enumerate the benefits. If I can discover those, I'll enumerate them :)

-- 
Katherine